Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.painter
Enum AbstractPainter.Interpolation

    java.lang.Object
      java.lang.Enum<AbstractPainter.Interpolation>
          org.jdesktop.swingx.painter.AbstractPainter.Interpolation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractPainter.Interpolation>

Enclosing class:
  AbstractPainter<T>

    public static enum AbstractPainter.Interpolation

extends java.lang.Enum<AbstractPainter.Interpolation>

An enum representing the possible interpolation values of Bicubic, Bilinear, and Nearest Neighbor. These map to the underlying RenderingHints, but are easier to use and serialization safe.

Enum Constant Summary
`Bicubic` use bicubic interpolation
`Bilinear` use bilinear interpolation
`NearestNeighbor` use nearest neighbor interpolation

Method Summary
`static AbstractPainter.Interpolation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractPainter.Interpolation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Bicubic

    public static final AbstractPainter.Interpolation Bicubic

  use bicubic interpolation

### Bilinear

    public static final AbstractPainter.Interpolation Bilinear

  use bilinear interpolation

### NearestNeighbor

    public static final AbstractPainter.Interpolation NearestNeighbor

  use nearest neighbor interpolation

Method Detail

### values

    public static AbstractPainter.Interpolation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractPainter.Interpolation c : AbstractPainter.Interpolation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractPainter.Interpolation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.